Subject: Re: [PATCH 00/10] Xdiff cleanup part 3

From: Junio C Hamano <[email-masked]>
Date: Sun, 04 Jan 2026 11:44:17 +0900

"Ezekiel Newren via GitGitGadget" <[email-masked]> writes:

>  compat/ivec.c      | 113 ++++++++++++++++++
>  compat/ivec.h      |  52 +++++++++

I very much like the general direction, but I wonder if we expect
many more "rust-to-C interface layer" files to come, which I suspect
is generally true, and in which case I think it is a good idea to
rethink the use of "compat/" for this purpose from early days, as
"compat/" is not about "compat between C and something else", but is
about "compat between platform peculiarity and (idealized) POSIX
environment our code assumes".